@charset "UTF-8";

*{
    padding: 0;
    margin: 0;
}

body{
    background-color: #d8d8d8;
}

/* グラスモーフィズム */

.glass_background{
    font-family: "Noto Sans JP";
    background: linear-gradient(120deg, #642c2c, #645a30);
    background-size: cover;
    height: 400px;
    width: 800px;
    margin: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* justify-content: center; */
    position: relative;
    gap: 18px;
}

.glass_title{
    color: #ffffff;
    text-shadow: 0 4px 8px #00000060;
    font-size: 24px;
    font-weight:600;
    position: absolute;
    top: 16%;
}

.glass_container{
    background-color: #ffffff20;
    z-index: 10;
    backdrop-filter: blur(2px);
    padding: 24px 18px 24px 18px;
    border: 1px solid #ffffff40;
    border-radius: 20px;
    height: 142px;
    width: 518px;
    box-shadow: 0 8px 16px #00000060;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 30%;
    gap: 18px;
}

.glass_searchbar_wrap{
    background-color: #ffffffaa;
    border: 2px solid #ffffff80;
    border-radius: 12px;
    height: 50px;
    width: 480px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
}

.article_icon{
    height: 24px;
    width: 24px;
    margin-left: 8px;
}

.glass_searchbar{
    color: #404040;
    background-color: #00000000;
    border: none;
    font-size: 14px;
    font-weight: 600;
    height: 30px;
    width: 380px;
    padding: 20px 0 20px 8px;
    caret-color: #404040;
}

.glass_searchbar:focus{
    outline: none;
}

.add_button{
    background-color: #00000000;
    width: 32px;
    height: 32px;
    padding: 4px;
    border-radius: 4px;
    transition: background-color 0.3s;

    /* border: 1px dotted #FF4040; */
}

.add_button:hover{
    background-color: #00000020;
}

.add_button:active{
    background-color: #00000040;
}

.icon_wrap{
    display: flex;
    align-items: center;
    gap: 16px;
}

.icon_wrap img{
    background-color: #00000000;
    height: 32px;
    width: 32px;
    padding: 4px;
    border-radius: 4px;
    transition: background-color 0.2s;
}

.icon_wrap img:hover{
    background-color: #00000020;
}

.icon_wrap img:active{
    background-color: #00000040;
}

.icon_wrap span{
    /* display: inline-block; */
    background-color: #ffffff80;
    height: 16px;
    width: 1px;
}

.glass_background p{
    color: #ffffff80;
    font-size: 32px;
    font-weight: 600;
    position: absolute;
    left: 8px;
    bottom: 96px;
}

.glass_background a{
    color: #ffffff;
    font-size: 16px;
    font-weight: 400;
    text-decoration: none;
    position: absolute;
    bottom: 4px;
    right: 4px;
    padding: 4px 12px;
    border: 2px solid #ffffff80;
    border-radius: 8px;
    transition: background-color 0.2s;
}

.glass_background a:hover{
    background-color: #ffffff20;
}

.glass_background a img{
    height: 20px;
    width: 20px;
}

.glass_impression{
    display: block;
    margin: 16px;
}

.glass_impression h2{

}

.glass_impression ul{
    padding-left: 24px;
}